// Generated by generate_wrap_init.pl -- DO NOT MODIFY!

#define GLIBMM_INCLUDED_FROM_WRAP_INIT_CC
#include <glibmm.h>

// Disable the 'const' function attribute of the get_type() functions.
// GCC would optimize them out because we don't use the return value.
#undef  G_GNUC_CONST
#define G_GNUC_CONST /* empty */

#include <gtkspellmm/wrap_init.h>
#include <glibmm/error.h>
#include <glibmm/object.h>

// #include the widget headers so that we can call the get_type() static methods:
#include "gtkspell.h"

extern "C"
{
//Declarations of the *_get_type() functions:

GType gtk_spell_checker_get_type(void);

//Declarations of the *_error_quark() functions:

GQuark gtk_spell_error_quark(void);
} // extern "C"

namespace GtkSpell {

//Declarations of the *_Class::wrap_new() methods, instead of including all the private headers:

class Checker_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };

void wrap_init()
{
  // Register Error domains in the main namespace:
  Glib::Error::register_domain(gtk_spell_error_quark(), &Error::throw_func);

  // Map gtypes to gtkmm wrapper-creation functions:
  Glib::wrap_register(gtk_spell_checker_get_type(), &Checker_Class::wrap_new);

  // Register the gtkmm gtypes:
  Checker::get_type();

} // wrap_init()

} // GtkSpell

